using System.Collections.Generic;
using GxPress.Result.Media;

namespace GxPress.Result.Navigation
{
    /// <summary>
    /// 导航数据的显示
    /// </summary>
    public class NavigationMediaResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value></value>
        public string LabelName { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }

        /// <summary>
        /// 是否跳转
        /// </summary>
        /// <value></value>

        public bool IsSkip { get; set; }

        /// <summary>
        /// 是否分页
        /// </summary>
        /// <value></value>

        public bool IsPage { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ActionUrl { get; set; }
        /// <summary>
        /// 资源类型
        /// </summary>
        /// <value></value>

        public int ResourceType { get; set; }

        /// <summary>
        /// 样式类型
        /// </summary>
        /// <value></value>

        public string StyleType { get; set; }
        /// <summary>
        /// 媒体
        /// </summary>
        /// <value></value>
        public List<MediaResult> MediaResults { get; set; }
    }
    /// <summary>
    /// 导航数据的显示
    /// </summary>
    public class NavigationResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 导航名称
        /// </summary>
        /// <value></value>
        
        public string Name { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        
        public bool IsDisable { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        
        public int ParentId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        
        public int Sort { get; set; }
        /// <summary>
        /// 中间件页面ID
        /// </summary>
        /// <value></value>
        
        public int MiddleLableId { get; set; }
        /// <summary>
        /// 是否可以操作
        /// </summary>
        /// <value></value>
        
        public bool Isoperate { get; set; }
        /// <summary>
        /// 终端 1 pc 2 移动端
        /// </summary>
        /// <value></value>
        
        public int Terminal { get; set; }
        /// <summary>
        /// 是否存在子集
        /// </summary>
        /// <value></value>
        public bool IsChildren { get; set; }
        /// <summary>
        /// 子集
        /// </summary>
        /// <value></value>
        public List<NavigationResult> Children { get; set; }
         /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        public string ActionUrl { get; set; }

    }
}